CentOS 7:subversion(CESA-2015:0166)

medium Nessus プラグイン ID 81278

概要

リモート CentOS ホストに1つ以上のセキュリティ更新がありません。

説明

3 つのセキュリティ問題を修正する、更新済みの subversion パッケージが、Red Hat Enterprise Linux 7 で現在利用可能です。

Red Hat 製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度中として評価しています。詳細な重要度の評価を提供する Common Vulnerability Scoring System (CVSS)のベーススコアが、「参照」セクションの CVE リンクの各脆弱性に対して利用可能です。

Subversion(SVN)はコンカレントバージョンコントロールシステムであり、全ての変更履歴を維持しながら、1 人以上のユーザーがファイルとディレクトリの階層を共同で開発および維持できるようにします。HTTP 経由で Subversion リポジトリにアクセスすることを可能にするために、mod_dav_svn モジュールは Apache HTTP Server で使用されます。

mod_dav_svn モジュールが REPORT リクエストを処理する方法で、 NULL ポインターデリファレンスの欠陥が見つかりました。認証されていないリモートの攻撃者が、特別に細工された REPORT リクエストを使用して、mod_dav_svn をクラッシュさせる可能性があります。
(CVE-2014-3580)

mod_dav_svn モジュールが、仮想トランザクション名の検索をトリガーする URI に対して特定のリクエストを処理する方法で、NULL ポインターデリファレンスの欠陥が見つかりました。認証されないリモートの攻撃者が、存在しない仮想トランザクション名に対するリクエストを送信して、 mod_dav_svn をクラッシュさせる可能性があります。(CVE-2014-8108)

Subversion クライアントが、サーバーの URL をチェックせずに、サーバーのレルム文字列の MD5 ハッシュを使用して、キャッシュされた認証資格情報を取得していることが発見されました。MD5 衝突をトリガーするレルムを提供できる悪意あるサーバーが、この欠陥を利用して、別のレルムの資格情報を取得する可能性があります。
(CVE-2014-3528)

Red Hat は、CVE-2014-3580 および CVE-2014-8108 を報告してくれた Subversion プロジェクトに感謝の意を表します。Upstream では、VisualSVN の Evgeny Kotkov 氏を最初の報告者として認めます。

Subversion のすべてのユーザーは、バックポートされたパッチが含まれるこれらの更新済みパッケージへアップグレードし、これらの問題を修正する必要があります。更新済みパッケージをインストールした後に更新を有効にするには、mod_dav_svn を使用している場合は httpd デーモンを、svn:// プロトコル経由で Subversion リポジトリをサーバーとして機能させている場合は svnserve デーモンを再起動する必要があります。

ソリューション

影響を受ける subversion パッケージを更新してください。

関連情報

http://www.nessus.org/u?f3bc739f

プラグインの詳細

深刻度: Medium

ID: 81278

ファイル名: centos_RHSA-2015-0166.nasl

バージョン: 1.8

タイプ: local

エージェント: unix

公開日: 2015/2/11

更新日: 2021/1/4

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

CVSS スコアのソース: CVE-2014-3580

VPR

リスクファクター: Medium

スコア: 4.7

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: AV:N/AC:L/Au:N/C:N/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

脆弱性情報

CPE: p-cpe:/a:centos:centos:mod_dav_svn, p-cpe:/a:centos:centos:subversion, p-cpe:/a:centos:centos:subversion-devel, p-cpe:/a:centos:centos:subversion-gnome, p-cpe:/a:centos:centos:subversion-javahl, p-cpe:/a:centos:centos:subversion-kde, p-cpe:/a:centos:centos:subversion-libs, p-cpe:/a:centos:centos:subversion-perl, p-cpe:/a:centos:centos:subversion-python, p-cpe:/a:centos:centos:subversion-ruby, p-cpe:/a:centos:centos:subversion-tools, cpe:/o:centos:centos:7

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2015/2/10

脆弱性公開日: 2014/8/19

参照情報

CVE: CVE-2014-3528, CVE-2014-3580, CVE-2014-8108

RHSA: 2015:0166